Commit 8bdb8bb0 authored by Josselin Mouette's avatar Josselin Mouette

* New upstream release. Closes: #530731.

* Rename libpoppler4 to libpoppler5.
* Bump shlibs versions.

svn path=/trunk/poppler/; revision=247
parent 9a5ae63d
poppler (0.12.0-1) experimental; urgency=low
* New upstream release. Closes: #530731.
* Rename libpoppler4 to libpoppler5.
* Bump shlibs versions.
-- Josselin Mouette <joss@debian.org> Thu, 24 Sep 2009 16:39:17 +0200
poppler (0.10.6-1) unstable; urgency=critical
* Fix section for the debug package.
......
......@@ -10,14 +10,16 @@ Build-Depends: cdbs (>= 0.4.52),
autotools-dev,
gnome-pkg-tools,
libglib2.0-dev (>= 2.6),
libgtk2.0-dev (>= 2.4.0),
libgtk2.0-dev (>= 2.12),
libfontconfig1-dev,
libqt3-mt-dev (>= 3:3.3.4-4),
libqt4-dev (>= 4.3.0),
libglade2-dev,
libcairo2-dev (>= 1.4),
libcairo2-dev (>= 1.8.4),
libopenjpeg-dev,
libjpeg-dev,
libpng-dev,
liblcms-dev,
libfreetype6-dev,
libxml2-dev,
gtk-doc-tools (>= 1.0),
......@@ -25,7 +27,7 @@ Build-Depends: cdbs (>= 0.4.52),
libglib2.0-doc
Standards-Version: 3.8.1
Package: libpoppler4
Package: libpoppler5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
......@@ -38,7 +40,7 @@ Description: PDF rendering library
Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler4 (= ${binary:Version}),
Depends: libpoppler5 (= ${binary:Version}),
libfontconfig1-dev,
${shlibs:Depends},
${misc:Depends}
......@@ -64,9 +66,9 @@ Architecture: any
Section: libdevel
Depends: libpoppler-glib4 (= ${binary:Version}),
libpoppler-dev (= ${binary:Version}),
libglib2.0-dev (>= 2.6),
libglib2.0-dev (>= 2.12),
libpango1.0-dev,
libcairo2-dev (>= 1.4),
libcairo2-dev (>= 1.8.4),
${shlibs:Depends},
${misc:Depends}
Description: PDF rendering library -- development files (GLib interface)
......@@ -146,7 +148,7 @@ Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
libpoppler4 (= ${binary:Version}),
libpoppler5 (= ${binary:Version}),
${shlibs:Depends}
Description: PDF rendering library - detached debugging symbols
Poppler is a PDF rendering library based on xpdf PDF viewer.
......
......@@ -23,8 +23,8 @@ DEB_CONFIGURE_EXTRA_FLAGS += \
--enable-gtk-doc \
--disable-gtk-test
DEB_DH_MAKESHLIBS_ARGS_libpoppler4 += -V"libpoppler4"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib4 += -V"libpoppler-glib4"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt2 += -V"libpoppler-qt2 (>= 0.6)"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt4-3 += -V"libpoppler-qt4-3 (>= 0.10)"
DEB_DH_MAKESHLIBS_ARGS_libpoppler5 += -V"libpoppler5"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib4 += -V"libpoppler-glib4 (>= 0.12)"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt2 += -V"libpoppler-qt2 (>= 0.12)"
DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt4-3 += -V"libpoppler-qt4-3 (>= 0.12)"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment